<!DOCTYPE html>
<html lang="ru"
      xmlns:layout="http://www.ultraq.net.nz/thymeleaf/layout"
      layout:decorate="~{layout}">
<head>
    <meta charset="UTF-8">
    <title>Добавить книгу</title>

</head>
<body>
<div layout:fragment="content">
    <h3 class="mt-3 mb-3">Все книги библиотеки</h3>
    <form style="max-width: 50vw" method="POST" th:action="@{/books/add}" th:object="${bookForm}">
        <div class="mb-3">
            <label for="title" class="form-label">Название книги</label>
<!--            input name должен соответствовать полю DTO-->
            <input name="title" type="text" class="from-control" id="title">
        </div>
        <div class="mb-3">
            <label for="storage" class="form-label">Место хранения</label>
            <input name="storagePlace" type="text" class="from-control" id="storage">
        </div>
        <div class="mb-3">
            <label for="pageCount" class="form-label">Количество страниц</label>
            <input name="pageCount" type="number" class="from-control" id="pageCount">
        </div>
        <div class="mb-3">
            <label for="amount" class="form-label">Количество экземпляров</label>
            <input name="amount" type="number" class="from-control" id="amount">
        </div>
        <div class="mb-3">
            <label for="description" class="form-label">Описание</label>
            <input name="description" type="text" class="from-control" id="description">
        </div>
        <div class="mb-3">
            <label for="publishDate" class="form-label">Дата публикации</label>
            <input name="publishDate" type="text" class="from-control" id="publishDate">
        </div>
        <div class="mb-3">
            <label for="publish" class="form-label">Издание</label>
            <input name="publish" type="text" class="from-control" id="publish">
        </div>
        <div class="mb-3">
            <label for="genre" class="form-label">Жанр</label>
            <select class="form-select" name="genre" id="genre">
                <option selected>Выберите жанр из списка:</option>
                <option th:each="genre : ${T(ru.sber.spring.java13springsu.library.model.Genre).values()}"
                th:value="${genre}" th:text="${genre.getGenreDisplayValue()}"></option>
            </select>
        </div>
        <button type="submit" class="btn btn-primary">Добавить</button>
        <button type="button" class="btn btn-secondary" onclick="window.history.back()">Назад</button>
    </form>
</div>


</body>
</html>